// -*- c++ -*-
// $Id: OctreeMonitor.C,v 1.1.1.1 2005/01/08 04:57:25 olsonse Exp $
/*
 * Copyright 2004 Spencer Olson
 *
 * $Log: OctreeMonitor.C,v $
 * Revision 1.1.1.1  2005/01/08 04:57:25  olsonse
 * Initial CVS import (finally).
 *
 *
 */


#include "OctreeMonitor.h"

namespace octree {

template <class _DataParticle, class _Particle>
OctreeMonitor<_DataParticle,_Particle>::OctreeMonitor():
        data() {
        memset(&vol, 0, sizeof(vol));
};


template <class _DataParticle, class _Particle>
template <class OTreeType>
void OctreeMonitor<_DataParticle,_Particle>::monitor_recursive( const OTreeType & octree, const _Particle * p[] ) {
    if ( !octree.thisHasChildren ) {
        for (int i = octree.low; i <= octree.high; i++) {
            if (boundedBy(*p[i])) {
                data.addMeasure(*p[i]);
            }/* if */
        }/* for */
    } else {
        /* ok, so we must now test (for each child tree) whether we need to
         * descend further. */
        for (int i = 0; i < 8; i++) {
            if (octree.child[i] && testOverlap(*octree.child[i])) {
                monitor(*octree.child[i], p);
            }/* if */
        }/* for */
    }/* else */
}

} /* namespace octree. */
