#ifdef DUMMY_IFDEF_FOR_FORTRAN
// $Id: common.h,v 1.2 2005/01/19 11:49:30 olsonse Exp $
/*
 * Copyright 2002-2004 Spencer Olson
 *
 * $Log: common.h,v $
 * Revision 1.2  2005/01/19 11:49:30  olsonse
 * Changed P[XYZ] macro to V[XYZ] as I was using velocity components and not
 * momentum.
 *
 * Revision 1.1.1.1  2005/01/08 04:57:25  olsonse
 * Initial CVS import (finally).
 *
 * Revision 1.1  2004/04/09 12:29:00  olsonse
 * many smaller improvements.
 *
 *
 */
#endif

#ifndef COMMONDEFS_H
#define COMMONDEFS_H

#include <olson-tools/indices.h>


/* The following are just a couple of really good constants that might
 * not exist if math.h  is not included. */
# ifndef M_E
    /** \f$e^{1}\f$ .*/
#   define M_E		2.7182818284590452354	/* e */
# endif
# ifndef M_LOG2E
    /** \f$log_{2} e\f$ .*/
#   define M_LOG2E	1.4426950408889634074	/* log_2 e */
# endif
# ifndef M_LOG10E
    /** \f$log_{10} e\f$ .*/
#   define M_LOG10E	0.43429448190325182765	/* log_10 e */
# endif
# ifndef M_LN2
    /** \f$ log_{e} 2 \f$. */
#   define M_LN2		0.69314718055994530942	/* log_e 2 */
# endif
# ifndef M_LN10
    /** \f$ log_{e} 10 \f$. */
#   define M_LN10		2.30258509299404568402	/* log_e 10 */
# endif
# ifndef M_PI
    /** \f$\pi\f$ .*/
#   define M_PI		3.14159265358979323846	/* pi */
# endif
# ifndef M_PI_2
    /** \f$\frac{\pi}{2}\f$ .*/
#   define M_PI_2		1.57079632679489661923	/* pi/2 */
# endif
# ifndef M_PI_4
    /** \f$\frac{\pi}{4}\f$ .*/
#   define M_PI_4		0.78539816339744830962	/* pi/4 */
# endif
# ifndef M_1_PI
    /** \f$\frac{1}{\pi}\f$ .*/
#   define M_1_PI		0.31830988618379067154	/* 1/pi */
# endif
# ifndef M_2_PI
    /** \f$\frac{2}{\pi}\f$ .*/
#   define M_2_PI		0.63661977236758134308	/* 2/pi */
# endif
# ifndef M_2_SQRTPI
    /** \f$\frac{2}{\sqrt{\pi}}\f$ .*/
#   define M_2_SQRTPI	1.12837916709551257390	/* 2/sqrt(pi) */
# endif
# ifndef M_SQRT2
    /** \f$\sqrt{2}\f$ .*/
#   define M_SQRT2	1.41421356237309504880	/* sqrt(2) */
# endif
# ifndef M_SQRT1_2
    /** \f$\frac{1}{\sqrt{2}}\f$ .*/
#   define M_SQRT1_2	0.70710678118654752440	/* 1/sqrt(2) */
# endif

#ifndef STR
   /** Helper macro to change macro values into strings. */
#  define STR(x) #x
#  ifndef XSTR
     /** Macro to change macro values into strings. */
#    define XSTR(x) STR(x)
#  endif
#endif


#endif /* COMMONDEFS_H */
